Test::Int::MiniModelCount Namespace Reference

Tests for minimal modelling constraints (counting) More...

## Classes

class | IntInt
| Test number of equal integers equal to integer More...
class | IntVar
| Test number of equal integers equal to integer variable More...
class | VarVar
| Test number of equal variables equal to integer variable More...
class | VarInt
| Test number of equal variables equal to integer More...
class | IntArrayInt
| Test number of several equal integers equal to integer More...
class | IntArrayVar
| Test number of several equal integers equal to integer variable More...
class | Create
| Help class to create and register tests. More...

## Functions

std::string | expand (Gecode::IntRelType irt)
| Expand relation to abbreviation.

## Variables

Gecode::IntArgs | ints ({1, 0, 3, 2})
Create | c

## Detailed Description

Tests for minimal modelling constraints (counting)

## Function Documentation

## expand()

std::string Test::Int::MiniModelCount::expand | ( | Gecode::IntRelType | irt | ) |

Expand relation to abbreviation.

Definition at line 44 of file mm-count.cpp.

## Variable Documentation

## ints

Gecode::IntArgs Test::Int::MiniModelCount::ints({1, 0, 3, 2}) | ( | {1, 0, 3, 2} |  | ) |

## c

Create Test::Int::MiniModelCount::c

Definition at line 284 of file mm-count.cpp.